~alpine/devel

[alpine-devel] cronolog package

Details
Message ID
<CAEfjjWsSWGouFwWyn+y+nxAs-QeW=Vfc7iqNs-Y=Qp90hdOL2w@mail.gmail.com>
Sender timestamp
1454110839
DKIM signature
missing
Download raw message
Hey guys, first time package contributor long time user.

Please see the patch below for the cronolog util.  It's common for web log
rotation.

Thanks!

-- Hawk


---
 community/cronolog/APKBUILD | 43
+++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 community/cronolog/APKBUILD

diff --git a/community/cronolog/APKBUILD b/community/cronolog/APKBUILD
new file mode 100644
index 0000000..f36f5d1
--- /dev/null
+++ b/community/cronolog/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor:
+# Maintainer:
+pkgname=cronolog
+pkgver=1.6.3
+pkgrel=0
+pkgdesc="log rotation software"
+url="https://github.com/fordmason/cronolog"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages=""
+source="
https://github.com/fordmason/cronolog/archive/83f9e99d6bd5cb8f5cc06723f4d79d1265582340/archive.tar.gz
"
+
+_builddir="$srcdir"/cronolog-83f9e99d6bd5cb8f5cc06723f4d79d1265582340
+prepare() {
+        local i
+        cd "$_builddir"
+        for i in $source; do
+                case $i in
+                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+                esac
+        done
+}
+
+build() {
+        cd "$_builddir"
+        touch bootstrap
+        ./configure --prefix=/usr || return 1
+        make || return 1
+
+}
+
+package() {
+        cd "$_builddir"
+        make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="2156fa495f1eca6e864da03e07d6c4ca  archive.tar.gz"
+sha256sums="5f372a2683f0d5fe9cf7f698eec7bf52ced66e9890adf3f8458c3306469e131a
 archive.tar.gz"
+sha512sums="24e3778b49c4652cf00e5a985412a4fb99a1ad575d6ea87151a17af838ee1942a9dd435ca7180f009a692c8bf1fc4d581b70d465d11ee03c28bc8dcd8cfde365
 archive.tar.gz"
+
--
2.4.1
Reply to thread Export thread (mbox)